ChangeSet 1.1352.1.4, 2003/10/14 15:18:51-07:00, benh@kernel.crashing.org

[PATCH] USB: Conflicting definitions in keyspan driver

There's a small issue with drivers/usb/serial/keyspan_usa90msg.h

The definition for MSR_RI conflicts with some PowerPC CPU definition
(MSR is the Machine State Register on PPC and processor.h defines
MSR_RI globally). This definition doesn't seem to be used in any .c
in drivers/usr/serial though, so I beleive it could be easily renamed
to something a bit less prone to conflict ;) Changing the PPC definition
would be a lot nastier.


 drivers/usb/serial/keyspan_usa90msg.h |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)


diff -Nru a/drivers/usb/serial/keyspan_usa90msg.h b/drivers/usb/serial/keyspan_usa90msg.h
--- a/drivers/usb/serial/keyspan_usa90msg.h	Wed Oct 15 11:07:51 2003
+++ b/drivers/usb/serial/keyspan_usa90msg.h	Wed Oct 15 11:07:51 2003
@@ -182,14 +182,14 @@
 
 // MSR bits
 
-#define MSR_dCTS	  		0x01		// CTS has changed since last report	
-#define MSR_dDSR	  		0x02
-#define MSR_dRI				0x04
-#define MSR_dDCD	  		0x08
+#define USA_MSR_dCTS	  		0x01		// CTS has changed since last report	
+#define USA_MSR_dDSR	  		0x02
+#define USA_MSR_dRI			0x04
+#define USA_MSR_dDCD	  		0x08
 
-#define MSR_CTS				0x10	  	// current state of CTS
-#define MSR_DSR				0x20
-#define MSR_RI				0x40
+#define USA_MSR_CTS			0x10	  	// current state of CTS
+#define USA_MSR_DSR			0x20
+#define USA_USA_MSR_RI			0x40
 #define MSR_DCD				0x80
 
 // ie: the maximum length of an endpoint buffer
